@model FAA_UI.ViewModels.CarryOverViewModel
<h4 style="font-family:'Garamond',sans-serif;margin:9px 9px 9px 75px;">Carry Over Pairs</h4>
<div class="row" style="margin:0px;padding:0px;">
    <div style="width:28%;" class="column">
        <div class="table-responsive">
            <table id="tblCarryOver" class="styled-table">
                <thead>
                    <tr>
                        <th style="display:none;">
                            @Html.DisplayNameFor(model => model.tblCarryOver.Idpk)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.tblCarryOver.TestId)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.tblCarryOver.AfectedTestId)
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var sitem in Model.tblCarryOvers) {
                        if(sitem!=null)
                        {
                            <tr>
                                <td style="display:none;">
                                    @Html.DisplayFor(modelItem => sitem.Idpk)                
                                </td>
                                <td>
                                    @Html.ActionLink(sitem.TestId.ToString(),"Index","CarryOver",new { idpk = sitem.Idpk },new{style="font-size:12px;color:blue;"})
                                </td> 
                                <td>
                                    @Html.DisplayFor(modelItem => sitem.AfectedTestId) 
                                </td> 
                            </tr>
                        }
                    }
                </tbody>
            </table>
        </div>
    </div>
    <div style="width:68%;" class="column">
        <div class="accordion" id="accordionProfile">
            <div class="card">
                <div class="card-header" id="headingDetail">
                <h2 class="mb-0">
                    <button class="collapsible" type="button" data-toggle="collapse" data-target="#collapseDetail" aria-expanded="true" aria-controls="collapseDetail">
                    Carry Over Details
                    </button>
                </h2>
                </div>
                <div id="collapseDetail" class="collapse show" aria-labelledby="headingDetail" data-parent="#accordionProfile">
                    <div class="card-body" style="height:65vh">
                        <div class="form-group row">
                            <div class="form-group" style="display:none;">
                                @Html.TextBoxFor(model =>model.tblCarryOver.Idpk,new{@id="idpk"}) 
                                @Html.TextBoxFor(model =>model.selectedCarryOverID)
                                @Html.TextBoxFor(model =>model.tblCarryOver.TestId,new{@id="test"})
                                @Html.TextBoxFor(model =>model.tblCarryOver.AfectedTestId,new{@id="affectedTest"})      
                            </div>
                            <div class="form-group col-md-3">
                                @Html.LabelFor(model =>model.strTestCode)
                                @Html.TextBoxFor(model =>model.strTestCode,new{@id="strtest"})  
                                @Html.ValidationMessageFor(model =>model.strTestCode) 
                            </div>
                            <div class="form-group col-md-3">
                                @Html.LabelFor(model =>model.straffectedTestCode)
                                @Html.TextBoxFor(model =>model.straffectedTestCode,new{@id="straffectedTest"}) 
                                @Html.ValidationMessageFor(model =>model.straffectedTestCode)    
                            </div>
                            <div class="form-group col-md-3">
                                @Html.LabelFor(model =>model.tblCarryOver.WashVolume)
                                @Html.TextBoxFor(model =>model.tblCarryOver.WashVolume,new{@id="washVolume"}) 
                                @Html.ValidationMessageFor(model =>model.tblCarryOver.WashVolume)    
                            </div>
                            <div class="form-group col-md-3">
                                @Html.LabelFor(model =>model.tblCarryOver.WashType)
                                @Html.TextBoxFor(model =>model.tblCarryOver.WashType,new{@id="washType"}) 
                                @Html.ValidationMessageFor(model =>model.tblCarryOver.WashType)    
                            </div>
                        </div>
                        <div>
                            @foreach(var x in Model.tblTestListModel.TestList)
                            {
                                <div style="float:Left;margin-right:25px;padding:0px;">
                                    <button  class="TestButton"  type="button" id=@x.TestId  value=@x.TestCode> @x.TestCode</button>
                                </div>          
                            }
                        </div>
                     </div>
                </div>
            </div>
        </div>    
        <div class="form-group row" style="margin-right: 25px;margin-top: 10px;float:right;">
            <div class="form-group">
                <button type="button" class="btn btn-info" value="Save" id="btnSave">Save</button>
                <button type="button" class="btn btn-info" value="Clear" id="btnClear">Clear</button>
                <button type="button" class="btn btn-info" value="Delete" id="btnDelete">Delete</button>
            </div> 
        </div>
    </div>
    @* } *@
</div>
@section Scripts
{
    <script type="text/javascript">
        $(document).ready(function () {

            $('#tblCarryOver').DataTable(
            {
                paging:   false,
                ordering: false,
                info:     false,
                searching: false,
                scrollY:   '75vh'
            });

            $("#btnSave").click(function()
            {
                var data = {};
                data.Id = $('#idpk').val();
                data.Test = $('#test').val();
                data.AffectedTest = $('#affectedTest').val();
                data.WashVolume = $('#washVolume').val();
                data.WashType = $('#washType').val();
                var Selected= new Array();

                $('.Testchecked').each(function(i, obj) {    
                    Selected[i]=$(obj).closest( "button" ).attr("id");
                });

                data.selectedIds=Selected;     

                $.ajax({
                    type:'POST',
                    url:'@Url.Action("Update","CarryOver")',
                    data:{viewData:JSON.stringify(data)},
                    success:function()
                    {
                        window.location.href = '@Url.Action("Index", "CarryOver")';
                    },
                    error:function(result)
                    {
                       alert("Unknown Error");    
                    }
                });
            });
            $("#btnClear").click(function()
            {
                $('#idpk').val("");
                $('#test').val("");
                $('#affectedTest').val("");
                $('#washVolume').val("0");
                $('#washType').val("");
                $('#straffectedTest').val("");
                 $('#strtest').val("");
            });

             $("#btnDelete").click(function()
            {
               $.ajax({
                    url:'@Url.Action("Delete","CarryOver")',
                    type:'GET',
                    data:{
                            idpk: $('#idpk').val();
                        },
                    success:function()
                    {
                        alert("Data Deleted Successfully"); 
                    },
                    error:function(result)
                    {
                       alert(result);    
                    }
                    });
            });

            $('.TestButton').click(function()
                {
                    var strTest=$(this).attr("value");
                    $.ajax({
                    url:'@Url.Action("GetTestId","CarryOver")',
                    type:'GET',
                    data:{
                            testCode: strTest
                        },
                    success:function(data)
                    {
                         if($('#test').val().length<=0)
                        {  
                            $('#strtest').val(strTest);
                             $('#test').val(data);  
                        }
                        else{
                                $('#straffectedTest').val(strTest);
                                 $('#affectedTest').val(data); 
                        }

                    },
                    error:function(result)
                    {
                       alert(result);    
                    }
                    });
                });    
        });
    </script>
}